package com.zcxk.syncdata.controller;

import com.alibaba.fastjson.JSON;
import com.zcxk.syncdata.service.DeviceService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@Api(tags = "测试")
@RequestMapping("test")
@Slf4j
public class TestController {



    @Autowired
    private DeviceService deviceService;

    @GetMapping(value = "test")
    public String test(

    ) {
        deviceService.syncData();
        return "ok";
    }

    @ResponseBody
    @PostMapping("/importExcel")
    @ApiOperation(value = "Execl批量导入设备", notes = "Execl批量导入设备")
    public String importExcel(
            @ApiParam(value = "文件") @RequestParam MultipartFile file,
            HttpServletRequest request, HttpServletResponse response
    ) {
        int result = deviceService.importExcel(file);
        return "ok";
    }

    @ResponseBody
    @PostMapping("/importRemoteMeterExcel")
    @ApiOperation(value = "Execl批量导入远传水表设备", notes = "Execl批量导入设备")
    public String importRemoteMeterExcel(
            @ApiParam(value = "文件") @RequestParam MultipartFile file,
            HttpServletRequest request, HttpServletResponse response
    ) {
        int result = deviceService.importRemoteMeterExcel(file);
        return "ok";
    }

    @GetMapping(value = "addMongo")
    public String addMongo(

    ) {
        deviceService.addMongo("123","123");
        return "ok";
    }


}
