package com.zcxk.syncdata.dao;


import com.zcxk.syncdata.dto.BuildingDto;
import com.zcxk.syncdata.entity.Building;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface BuildingMapper {
    int insert(@Param("building") Building building);

    int insertSelective(@Param("building") Building building);

    int insertList(@Param("buildings") List<Building> buildings);

    int updateByPrimaryKeySelective(@Param("building") Building building);

    List<Building> findBySiteId(@Param("siteId") Integer siteId, @Param("sysId") Integer sysId, @Param("customerIds") List<Integer> customerIds);

    List<Building> findBySiteIdAndCustomerIds(@Param("siteId") Integer siteId, @Param("sysId") Integer sysId, @Param("customerIds") List<Integer> customerIds);

    List<Building> findBySiteIdAndProgramItem(@Param("siteId") Integer siteId, @Param("sysId") Integer sysId, @Param("buildingIds") List<Integer> buildingIds, @Param("buildingName") String buildingName, @Param("customerIds") List<Integer> customerIds);


    int deleteQuery(@Param("buildingId") Integer buildingId);

    BuildingDto getBuilding(@Param("buildingId") Integer buildingId);

    int deleteBySiteId(@Param("siteId") Integer siteId, @Param("updateBy") String updateBy);

    List<BuildingDto> getBuildingBySiteId(@Param("siteId") Integer siteId);


    Building findByBuildingName(@Param("buildingName") String buildingName);


    List<BuildingDto> getList(@Param("siteId") Integer siteId, @Param("buildingName") String buildingName, @Param("customerIds") List<Integer> customerIds);

    Building getBuildingByDeviceId(@Param("deviceId") Long deviceId);

    Building findByName(@Param("siteId") Integer siteId, @Param("buildingName") String buildingName);

    Building findByNameV2(@Param("siteId") Integer siteId, @Param("communityId") Integer communityId, @Param("buildingName") String buildingName);

    List<Building> findByIds(@Param("ids") List<Integer> ids);


    List<Building> getBuildingByInstallPlanId(@Param("installPlanId") Integer installPlanId);

    int countBycCommunityId(@Param("communityId") Integer communityId);

    int findByNameUnique(@Param("id") Integer id, @Param("siteId") Integer siteId, @Param("community") Integer community, @Param("name") String name);
}

