package com.zcxk.syncdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@ToString
@ApiModel("建筑")
public class Building implements Serializable {
    @ApiModelProperty(value = "id", position = 1)
    private Integer id;

    @ApiModelProperty(value = "站点id", position = 2, hidden = true)
    private Integer siteId;

    @ApiModelProperty(value = "建筑名称", position = 3)
    private String name;

    @ApiModelProperty(value = "建筑地址", position = 4)
    private String address;

    @ApiModelProperty(value = "联系人", position = 5)
    private String contactPenson;

    @ApiModelProperty(value = "竣工时间", position = 6)
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate completionDate;

    @ApiModelProperty(value = "联系电话", position = 7)
    private String contactPhone;

    @ApiModelProperty(value = "联网单位", position = 8)
    private Integer accessUnitId;

    @ApiModelProperty(value = "省", position = 9)
    private Integer province;

    @ApiModelProperty(value = "市", position = 10)
    private Integer city;

    @ApiModelProperty(value = "区", position = 11)
    private Integer region;

    @ApiModelProperty(value = "详细地址", position = 12)
    private String detailAddress;

    @ApiModelProperty(value = "行政区域编码", position = 13)
    private String regionCode;

    @ApiModelProperty(value = "门弄牌号", position = 14)
    private String doorNo;

    @ApiModelProperty(value = "路名", position = 15)
    private String roadName;

    @ApiModelProperty(value = "街道编码", position = 16)
    private String streeNo;

    @ApiModelProperty(value = "楼栋", position = 17)
    private String buildlNo;

    @ApiModelProperty(value = "经度", position = 18)
    private Double longitude;

    @ApiModelProperty(value = "纬度", position = 19)
    private Double latitude;

    @ApiModelProperty(value = "高度", position = 20)
    private String highly;

    @ApiModelProperty(value = "面积", position = 21)
    private String buildingArea;

    @ApiModelProperty(value = "建筑分类", position = 22)
    private Integer buildingCategory;

    @ApiModelProperty(value = "建筑结构", position = 23)
    private Integer buildingStructure;

    @ApiModelProperty(value = "耐火等级", position = 24)
    private Integer fireRating;

    @ApiModelProperty(value = "危险等级", position = 25)
    private Integer riskRating;

    @ApiModelProperty(value = "是否有消控室", position = 26)
    private Integer hasControlRoon;

    @ApiModelProperty(value = "消控室位置", position = 27)
    private String controlRoonLoc;

    @ApiModelProperty(value = "建筑使用情况", position = 28)
    private Integer buildingUsage;

    @ApiModelProperty(value = "建筑用途分类", position = 29)
    private String buildingUsageCla;

    @ApiModelProperty(value = "产权", position = 30)
    private Integer rights;

    @ApiModelProperty(value = "占地面积", position = 31)
    private String coverArea;

    @ApiModelProperty(value = "标准层面积", position = 32)
    private String standBedArea;

    @ApiModelProperty(value = "地下层数", position = 33)
    private Integer underFloorNum;

    @ApiModelProperty(value = "地下面积", position = 34)
    private String underFloorArea;

    @ApiModelProperty(value = "地上层数", position = 35)
    private Integer floorNum;

    @ApiModelProperty(value = "地上面积", position = 36)
    private String floorArea;

    @ApiModelProperty(value = "避难层数量", position = 37)
    private String asylumFloorNum;

    @ApiModelProperty(value = "避难层面积", position = 38)
    private String asylumFloorArea;

    @ApiModelProperty(value = "避难层位置", position = 39)
    private String asylumFloorLoc;

    @ApiModelProperty(value = "消防电梯数", position = 40)
    private String fireLiftNum;

    @ApiModelProperty(value = "消防电梯位置", position = 41)
    private String fireLiftLoc;

    @ApiModelProperty(value = "入驻使用功能", position = 42)
    private String checkInFunc;

    @ApiModelProperty(value = "最大容纳人数", position = 43)
    private String maxCapacity;

    @ApiModelProperty(value = "是否有自动消防", position = 44)
    private Integer hasAutoEquipme;

    @ApiModelProperty(value = "设施完好情况", position = 45)
    private String equipmentStatus;

    @ApiModelProperty(value = "消防设施描述", position = 46)
    private String equipmentDesc;

    @ApiModelProperty(value = "毗邻建筑情况", position = 47)
    private String besideBuildindDesc;

    @ApiModelProperty(value = "地理情况", position = 48)
    private String geography;

    @ApiModelProperty(value = "状态", hidden = true, position = 49)
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间", position = 50, hidden = true)
    private LocalDateTime createDate = LocalDateTime.now();

    @ApiModelProperty(value = "创建人", position = 51, hidden = true)
    private String createBy = "system";

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新时间", position = 52, hidden = true)
    private LocalDateTime updateDate = LocalDateTime.now();

    @ApiModelProperty(value = "更新用户", position = 53, hidden = true)
    private String updateBy = "system";

    @ApiModelProperty(value = "小区", position = 54)
    private Integer community;

    @ApiModelProperty(value = "单元", position = 55)
    private String unit;

}
