package com.zcxk.syncdata.entity;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
    * 水务行业专用，一个采集器下可以有多个水表
    */
@ApiModel(value="com-bz-smart_city-entity-Collector")
@Data
public class Collector {

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="站点，参考sc_site主键",hidden = true)
    private Integer siteId;

    @ApiModelProperty(value="客户id")
    private Integer customerId;

    @ApiModelProperty(value="建筑id")
    private Integer buildingId;

    @ApiModelProperty(value="采集器编码")
    private String collectorNo;

    @ApiModelProperty(value="参考集中器主键")
    private Integer concentratorId;

    @ApiModelProperty(value="设备类型")
    private Integer deviceType;

    @ApiModelProperty(value="安装地址")
    private String address;

    @JsonIgnore
    @ApiModelProperty(value="状态",hidden = true)
    private Integer status;

    @JsonIgnore
    @ApiModelProperty(value="备注",hidden = true)
    private String remark;

    @JsonIgnore
    @ApiModelProperty(value="创建时间",hidden = true)
    private LocalDateTime dateCreate;

    @JsonIgnore
    @ApiModelProperty(value="更新时间",hidden = true)
    private LocalDateTime dateUpdate;

    @JsonIgnore
    @ApiModelProperty(value="创建人",hidden = true)
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="更新人",hidden = true)
    private String updateBy;
}