package com.zcxk.syncdata.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
    * 水务行业专用，一个集中器下有多个水表或者采集器
    */
@ApiModel(value="com-bz-smart_city-entity-Concentrator")
@Data
public class Concentrator {

    @ApiModelProperty(value="主键")
    private Integer id;

    @ApiModelProperty(value="站点，参考sc_site主键",hidden = true)
    private Integer siteId;

    @ApiModelProperty(value="客户")
    private Integer customerId;

    @ApiModelProperty(value="集中器编码")
    private String serialNumber;

    @ApiModelProperty(value="集中器名称")
    private String name;

    @ApiModelProperty(value="集中器类型，参考sc_w_meter_type主键",hidden = true)
    private Integer type;

    @ApiModelProperty(value="省，参考sc_area",hidden = true)
    private Integer province;

    @ApiModelProperty(value="市，参考sc_area",hidden = true)
    private Integer city;

    @ApiModelProperty(value="区，参考sc_area",hidden = true)
    private Integer region;

    @ApiModelProperty(value="建筑，参考sc_building")
    private Integer buildingId;

    @ApiModelProperty(value="安装地址")
    private String address;

    @ApiModelProperty(value="设备状态 0:离线 1:在线")
    private Integer deviceStatus;

    @ApiModelProperty(value="设备类型")
    private Integer deviceType;

    @ApiModelProperty(value="波特率 1:1200 b/s 2:2400 b/s 3:9600 b/s")
    private Integer baudRate;

    @ApiModelProperty(value="IP地址")
    private String ip;

    @ApiModelProperty(value="端口")
    private Integer port;

    @ApiModelProperty(value="sim卡号")
    private String simNo;

    @JsonIgnore
    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;

    @JsonIgnore
    @ApiModelProperty(value="创建人",hidden = true)
    private String createBy;

    @JsonIgnore
    @ApiModelProperty(value="更新人",hidden = true)
    private String updateBy;

    @JsonIgnore
    @ApiModelProperty(value="状态",hidden = true)
    private Integer status;
}