package com.zcxk.syncdata.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
    * 水表可以关联集中器、采集器
    */
@ApiModel(value="com-bz-smart_city-entity-WaterRelatedDevice")
@Data
public class WaterRelatedDevice {

    @ApiModelProperty(value="设备id")
    private Long deviceId;

    @ApiModelProperty(value="参考集中器表")
    private Integer concentratorId;

    @ApiModelProperty(value="参考采集器表")
    private Integer collectorId;


    @ApiModelProperty(value="通道号id")
    private Integer channelNumberId;

    @ApiModelProperty(value="测量点号")
    private String port;

    @ApiModelProperty(value="备注")
    private String remark;

    @ApiModelProperty(value="下发状态 0：未下发 1：已下发")
    private Integer issueStatus;

    @ApiModelProperty(value="状态")
    private Integer status;

    @ApiModelProperty(value="创建时间")
    private LocalDateTime dateCreate;

    @ApiModelProperty(value="更新时间")
    private LocalDateTime dateUpdate;

    @ApiModelProperty(value="创建人")
    private String createBy;

    @ApiModelProperty(value="更新人")
    private String updateBy;
}