package com.zcxk.syncdata.rabitmq;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.rabbitmq.client.Channel;
import com.zcxk.syncdata.dto.DeviceParams;
import com.zcxk.syncdata.service.DeviceService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.io.IOException;

@Component
@Slf4j
public class BatchImportDeviceReceiver {

    @Autowired
    private DeviceService deviceService;


    @RabbitListener(queues = {"${spring.rabbitmq.queue}"},containerFactory = "customContainerFactory")
    public void receiver(Channel channel, Message message) throws IOException {
        //String str = new String(body);
        try {
        String msg = new String(message.getBody());
        log.info("-----BatchImportDeviceReceiver-----,"  +msg);
        DeviceParams deviceParams = JSON.parseObject(msg, DeviceParams.class);
        // 1,处理消息
        //deviceService.batchImportDeviceHandler(deviceParams);

        // 2,确认消息消费成功 
        channel.basicAck(message.getMessageProperties().getDeliveryTag(), false);
        } catch (Exception e) {
            channel.basicNack(message.getMessageProperties().getDeliveryTag(), false, false);
            log.error("consumer message error ！",e);
        }
    }
}
