package com.zcxk.syncdata.util.mongo.annotation;

import com.zcxk.syncdata.util.mongo.customized.MultiFieldOperation;
import org.springframework.util.StringUtils;

import java.lang.reflect.Field;

/**
 *
 * @author wilian.peng
 * @date 2019年10月28日 下午6:23:38
 */
public enum UpdateType {
    // set
    SET {
        @Override
        public MultiFieldOperation buildMultiFieldOperation(UpdateField updateFieldAnnotation, Field field, Object value) {
            if (check(updateFieldAnnotation, field, value)) {
                String updateField = getQueryFieldName(updateFieldAnnotation, field);
                return new MultiFieldOperation("$set",updateField ,value);
            }
            return null;
        }
    },
    // currentTimeStamp
//    CURRENTTIMESTAMP {
//        @Override
//        public MultiFieldOperation buildMultiFieldOperation(UpdateField updateFieldAnnotation, Field field, Object value) {
//            if (check(updateFieldAnnotation, field,value)) {
//                String updateField = getQueryFieldName(updateFieldAnnotation, field);
//                return new MultiFieldOperation("$currentDate", updateField, new Document("$type", "timestamp"));
//            }
//            return null;
//        }
//    }
    ;

    private static boolean check(UpdateField updateField, Field field, Object value) {
        return !(updateField == null || field == null || value == null);
    }

    public abstract MultiFieldOperation buildMultiFieldOperation(UpdateField updateFieldAnnotation, Field field, Object value);


    /**
     * 如果实体bean的字段上UpdateField注解没有设置attribute属性时，默认为该字段的名称
     *
     * @param field
     * @return
     */
    private static String getQueryFieldName(UpdateField updateField, Field field) {
        String updateFieldValue = updateField.attribute();
        if (!StringUtils.hasText(updateFieldValue)) {
            updateFieldValue = field.getName();
        }
        return updateFieldValue;
    }
}

